# tokio_macros - Rust
API documentation for the Rust `tokio_macros` crate.
Keywords: rust, rustlang, rust-lang, tokio_macros

# Crate tokio_macros [−] [src]

Macros for use with Tokio

## Attribute Macros

main | Marks async function to be executed by the selected runtime. This macro helps set up a `Runtime` without requiring the user to use Runtime or Builder directly.
main_fail | Always fails with the error message below.
main_rt | Marks async function to be executed by selected runtime. This macro helps set up a `Runtime` without requiring the user to use Runtime or Builder directly.
test | Marks async function to be executed by runtime, suitable to test environment
test_fail | Always fails with the error message below.
test_rt | Marks async function to be executed by runtime, suitable to test environment